#ifndef XWANDMOUSE_H
#define XWANDMOUSE_H

#include "FakeMouse.h"
#include "xwandparser.h"

class XWandFakeMouse: public FakeMouse {
protected:
   void initXWandData();
   unsigned char buttons;
public:
   static const char* XWandConfigDefaultFilename;
   XWandData xwandData;
   XWandFakeMouse();
   bool initFromFile(const char* configFilename = XWandConfigDefaultFilename);
   void updateFakeMouse();
   void updateScreenPointerWithJoyStick();
   unsigned char rawReadMouseButtonState();
   int performButtonAction();
};
   
#endif
