import java.awt.*;
import java.util.Vector;

public class TimeBearing extends Canvas{
    static TimeBearing b;

    static Vector times;
    static Vector bearings;
    static Vector os;

    public static void main(String [] args) {
	Frame window = new Frame("Time Bearing");
	window.setSize(210,350); 
	bearings=new Vector();
	times=new Vector();
	os=new Vector();
	b=new TimeBearing();
/*	b.setSize(365,500); */
	window.add(b);
	window.show();
    }

    int convertTime(double t) {
/*	return 450-(int)(t/5.0f);  Controls length of time axis */

	return 280-(int)(t/10.0f);  /*Controls length of time axis */

    }

    int convertBear(double b) {
	int bear = (int)b;
	while (bear>180) bear-=360;
	while (bear<-180) bear+=360;
	return (190+bear)/2;
    }

    public void paint(Graphics g) {
	g.setColor(Color.black);
	g.drawLine(convertBear(-180),convertTime(0),convertBear(180),convertTime(0));
	g.drawLine(convertBear(0),convertTime(0),convertBear(0),convertTime(2500));
	g.drawLine(convertBear(90),convertTime(0),convertBear(90),convertTime(20));
	g.drawLine(convertBear(-90),convertTime(0),convertBear(-90),convertTime(20));
	g.drawLine(convertBear(180),convertTime(0),convertBear(180),convertTime(20));
	g.drawLine(convertBear(-180),convertTime(0),convertBear(-180),convertTime(20));
	g.drawString("0",convertBear(0)-3,convertTime(-120));
	g.drawString("90",convertBear(90)-6,convertTime(-120));
	g.drawString("-90",convertBear(-90)-9,convertTime(-120));
	g.drawString("-180",convertBear(-180)-12,convertTime(-120));
	g.drawString("180",convertBear(180)-9,convertTime(-120));
	g.drawString("Bearing Deg True",convertBear(0)-50,convertTime(-280));
	g.drawString("2500 secs",convertBear(0)+5,convertTime(2500));
	g.setColor(Color.blue);
	for (int i=2;i<times.size()-1;i++) {
	  	g.drawLine(convertBear(((Double)os.elementAt(i)).doubleValue()),convertTime(((Double)times.elementAt(i)).doubleValue()),convertBear(((Double)os.elementAt(i+1)).doubleValue()),convertTime(((Double)times.elementAt(i+1)).doubleValue()));
  
	}
	g.setColor(Color.red);
	for (int i=2;i<times.size()-1;i++) {
	  	g.drawLine(convertBear(((Double)bearings.elementAt(i)).doubleValue()),convertTime(((Double)times.elementAt(i)).doubleValue()),convertBear(((Double)bearings.elementAt(i+1)).doubleValue()),convertTime(((Double)times.elementAt(i+1)).doubleValue()));
  
	}
    }

    public void addItem(double time, double bear, double os_head) {
	for (int i=0;i<times.size();i++)
	    if (time<((Double)times.elementAt(i)).doubleValue()) {
		times.setSize(i);
		bearings.setSize(i);
		os.setSize(i);
		break;
	    }
	times.add(new Double(time));
	bearings.add(new Double(bear));
	os.add(new Double(os_head));
	repaint();
    }
    
    public static void addTB(double time, double bear, double os_head) {
	//System.out.println("Got "+time+" "+bear);
	b.addItem(time,bear,os_head);
    }

}
