#ifndef DEG_CONV_H
#define DEG_CONV_H

#define DEGREES_TO_RADIANS(deg) ((deg)*0.017453293)
#define RADIANS_TO_DEGREES(rad) ((rad)*57.29578)

#define METERS_TO_DEGREES(m) ((m)/111000.0f) // 1 degree longitude = 111 km @ equator
#define DEGREES_TO_METERS(deg) ((deg)*111000.f)

#define FT_TO_M(ft) ((ft)/3.28f)

#define M_TO_FT(m) ((m)*3.28f)

#endif
