#ifndef _DIVERSECONFIG_H_
#define _DIVERSECONFIG_H_

//================================================
// WITH_QT - If using Qt define as "yes"
// else define as "no"
//================================================
#define WITH_QT  "yes"

//================================================
// WITH_PRODUCER - If using Open Producer define
// as "yes" else define as "no"
//================================================
#define WITH_PRODUCER  "yes"

//================================================
// PLUGINDIR - define as the file path where 
// plugins are located
//================================================
#define PLUGINDIR "C:/diverse/plugins"

//================================================
// DEFAULT_SERVICE_PATH - define as the default
// path where services are located
//================================================
#define DEFAULT_SERVICE_PATH "C:/diverse/services"

//================================================
// DEFAULT_NAV_PATH - define as the default path 
// where navigations are located
//================================================
#define DEFAULT_NAV_PATH "C:/diverse/navigations"

//================================================
// DEFAULT_PLUGIN_PATH - define as the default
// path where plugins are located
//================================================
#define DEFAULT_PLUGIN_PATH "C:/diverse/plugins"

//================================================
// INSTALL_DIR - define as the path where the base
// installation of DIVERSE has been installed
//================================================
#define INSTALLDIR "C:/diverse"

//================================================
// DEFAULT_PANEDIR - define as the default path
// where preference manager panels are located
//================================================
#define DEFAULT_PANEDIR "C:/diverse/panels"

//================================================
// COIN_3DS_LOADER_SUPPORT - define if you
// manually build coin with 3DS loader support
// else leave undefined
//================================================
#undef COIN_3DS_LOADER_SUPPORT

#endif
