//=================================
// Wrapper functions for QListView
//   which do not exist in Qt 2.3
//=================================
#ifndef _QT23WRAPPERS_H_
#define _QT23WRAPPERS_H_
#if ( QT_VERSION < 300 )
#include <qlistview.h>

inline QListViewItem* lastItem( QListView* view )
{
	QListViewItem *nextitem = view->firstChild(), *item = nextitem;
	while( item )
	{
		nextitem = nextitem->nextSibling();
	}
	return item;
}

inline QListViewItem* findItem( QListView* view, string str )
{
	QListViewItem* item = view->firstChild();
	while( item != NULL )
	{
		if ( item->text( 0 ) == str.c_str() )
			break;
		item = item->nextSibling();
	}
	return item;
}

#endif
#endif