#include <pexpr/PostOffice.h>
#include <qmenubar.h>
#include <qlayout.h>
#include <qtabwidget.h>
#include <qlistbox.h>
#include <qlistview.h>
#include "remoteeventmonitor.h"

RemoteEventMonitorWidget::RemoteEventMonitorWidget( QWidget* parent )
    :QWidget( parent, "RemoteEventMonitor" )
{
    QMenuBar* menu = new QMenuBar( this );
    QPopupMenu* file = new QPopupMenu( menu );
    file->insertItem( "Quit", this, SLOT( close() ), CTRL+Key_Q );
    menu->insertItem( "File", file );
    
    QVBoxLayout* mainlayout = new QVBoxLayout( this );
    QTabWidget* tabwidget = new QTabWidget( this );
    mainlayout->addWidget( tabwidget );
    QWidget* reventmonitorwidget = new QWidget( tabwidget );
    QWidget* reventconfigwidget = new QWidget( tabwidget );
    tabwidget->addTab( reventmonitorwidget, "Remote Event Monitor" );
    tabwidget->addTab( reventconfigwidget, "Remote Event Configuration" );

    QHBoxLayout* widgetlayout = new QHBoxLayout( reventmonitorwidget );
    QListBox* reventlistbox = new QListBox( reventmonitorwidget );
    widgetlayout->addWidget( reventlistbox );
    QListView* reventlistview = new QListView( reventmonitorwidget );
    widgetlayout->addWidget( reventlistview );

    widgetlayout = new QHBoxLayout( reventconfigwidget );
    QListView* configlistview = new QListView( reventconfigwidget );

    
}
