//=============================================================================
// Creates the shared memory daemon/server 
//=============================================================================
#include<iostream>
#include<shmmgr/ShMem.h>
#include<shmmgr/ShmManager.h>
#ifndef WIN32
#include<unistd.h>
#endif /* WIN32 */
#include<dreg/Registry.h>
#include<tracer/Tracer.h>
#include<qapplication.h>

using namespace std;

int main( int argc, char** argv )
{
cout<<"Hello\n\t";
    QApplication* app = new QApplication( argc, argv, false );
    Tracer::init();
cout<<"world\n";
    ShmManager::init();
cout<<"init\n";
    ShmManager::createSegment( "TestSegment", 4*sizeof(int) );
cout<<"createSegment\n";
    ShMem* mem = NULL;
    while( !mem )
    {
        app->processEvents();
        mem = ShmManager::getSegment( "TestSegment" );
        cout<<"got segment\n";
#ifdef WIN32
		Sleep(100);
#else
        usleep(100000);
#endif
        cout<<"waiting for valid getSegment(TestSegment)\n";
    }

    int data[4];
    for( unsigned int i = 0; true; i++ )
    {
        data[0] = i;
        data[1] = i*i;
        data[2] = i*i*i;
        data[3] = i*i*i;
//        ShmManager::createSegment( "TestSegment3", 4*sizeof(int) );
        mem->write( (char*)&data, 0, 4*sizeof(int) );
        cout<<"write data\n";
        app->processEvents();
#ifdef WIN32
		Sleep(100);
#else
        usleep(100000);
#endif
    }
}
