#include <pexpr/POMessage.h>
#include <pexpr/POTextMsg.h>
#include <dmath/dQuat.h>
#include <dmath/dMatrix.h>
#include <navmgr/NavManager.h>
#include <tracer/Tracer.h>
#include <dcollab/core/avataraction.h>
#include <dcollab/core/collabmanager.h>
#include <dcollab/core/cdefines.h>
#include <dcollab/core/communicator.h>

AvatarAction::AvatarAction()
{
	m_old.makeIdentity();
}

void AvatarAction::process()
{
	if (NavManager::getMatrix() != m_old )
	{
		m_old = NavManager::getMatrix();
		dVec3 Trans = NavManager::getMatrix().getTrans();
		dQuat Quat  = NavManager::getMatrix().getQuat();
		char* Big = new char[1024];
		sprintf(Big, "%s:%s:%lf:%lf:%lf:%lf:%lf:%lf:%lf", UPDATEUSERPOS, getenv("HOSTNAME"),  Trans.x(), Trans.y(), Trans.z(), Quat.x(), Quat.y(), Quat.z(), Quat.w());
		POTextMsg Msg;
		Msg.setText(Big);
		CollabManager::getCom()->sendMessage(&Msg);
		delete Big;
	}
}
