#ifndef _avatarmhandler_h_
#define _avatarmhandler_h_

#include <dutil/ColonList.h>
#include <string>
using namespace std;
#include "messagehandler.h"
#include "objectcreator.h"

class DCOLLABCORE_API AvatarMessageHandler: public MessageHandler
{
	public:
	virtual bool handles(POMessage* AMessage);
	void         handleMessage(POMessage* AMessage);
	virtual string typeHandled();
	void         setCreator(ObjectCreator* OCreator);
	virtual ~AvatarMessageHandler(){};
	
	private:
	ObjectCreator*  m_creator;
	void RemoveUser(ColonList& AMessage);
	void AddUser(ColonList&    AMessage);
	void UpdatePos(ColonList&  AMessage);
	vector<Avatar*> m_avatarlist;
};
#endif
