#ifndef _HANDLER_H_
#define _HANDLER_H_
#include <vector>

#ifdef WIN32
#ifdef COLLABDEPENDENCY_EXPORTS
#define COLLABDEPENDENCY_API __declspec(dllexport)
#else
#define COLLABDEPENDENCY_API __declspec(dllimport)
#endif /* COLLABDEPENDENCY_EXPORTS */
#else
#define COLLABDEPENDENCY_API
#endif /* WIN32 */

using namespace std;
class MessageHandler;
class POMessage;
class COLLABDEPENDENCY_API Handler
{
	public:
	void handleMessage(POMessage* AMessage);
	bool canHandle(POMessage* AMessage);
	void handleMessages(vector<POMessage*> AMessage);
	void addHandler(MessageHandler* AHandler);
	void removeHandler(MessageHandler* AHandler);

	private:
	vector<MessageHandler*> m_handlers;
};
#endif
