#ifndef _messagehander_h_
#define _messagehander_h_

//This is the base class for handling messages for the collaborative toolkit

#ifdef WIN32
#ifdef DCOLLABCORE_EXPORTS
#define DCOLLABCORE_API __declspec(dllexport)
#else
#define DCOLLABCORE_API __declspec(dllimport)
#endif /* DCOLLABCORE_EXPORTS */
#else
#define DCOLLABCORE_API
#endif /* WIN32 */

class DCOLLABCORE_API MessageHandler
{
	public:
	virtual bool   handles(POMessage* Message)=0;
	virtual string typeHandled()=0;
	virtual void handleMessage(POMessage* Message)=0;
};
#endif
