#ifndef _radar_action_h
#define _radar_action_h
#include <dcollab/core/action.h>
#include <dmath/dMatrix.h>

#ifdef WIN32
#ifdef DCOLLABCORE_EXPORTS
#define DCOLLABCORE_API __declspec(dllexport)
#else
#define DCOLLABCORE_API __declspec(dllimport)
#endif /* DCOLLABCORE_EXPORTS */
#else
#define DCOLLABCORE_API
#endif /* WIN32 */

class Radar;
class DCOLLABCORE_API RadarAction: public Action
{
	public:
	RadarAction();
	virtual ~RadarAction();
	virtual void process();
	void setRadar(Radar* NewRadar);
	private:
	Radar* m_radar;
	dMatrix m_old;
};
#endif
