#include <Inventor/SoDB.h>
#include <Inventor/SoInteraction.h>
#include <Inventor/SoSceneManager.h>
#include <Inventor/nodekits/SoNodeKit.h>
#include <Inventor/nodes/SoDirectionalLight.h>
#include <Inventor/nodes/SoDrawStyle.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoPerspectiveCamera.h>
#include <Inventor/nodes/SoTransform.h>
#include <Inventor/fields/SoSFVec3f.h>
#include <tracer/Tracer.h>
#include <dmath/dVec3.h>
#include <dmath/dMatrix.h>
#include <string>
using namespace std;
#include <dgl/dcoin/dcoin.h>
#include <dcollab/dcoin/coincreator.h>
#include <dcollab/dcoin/coinavatar.h>

Avatar* CoinCreator::createAvatar(const string& FileName)
{
	CoinAvatar* MyAv;
	MyAv = new CoinAvatar;
	cout << "Attempting to load avatar " << FileName << endl;
	MyAv->loadModel(FileName.c_str());
	return MyAv;
}
