#include"DGLAugment.h"
#include"DGL.h"
#include<iostream>
using namespace std;


//=============================================================================
/// @brief Constructor.
/// @param name - the name of the augment.
//=============================================================================
DGLAugment::DGLAugment( const string& name )
:Plugin(name)
{
    setDescription( "An Augment to DGL" );
}

//=============================================================================
/// @brief Destructor.
//=============================================================================
DGLAugment::~DGLAugment()
{

}

//=============================================================================
/// @brief Loads the augment and adds itself to DGL..
//=============================================================================
void DGLAugment::load()
{
    Plugin::load();
    DGL::addAugment( this );
}

//=============================================================================
/// @brief Unloads the augment and removes itself from DGL
//=============================================================================
void DGLAugment::unload()
{
    Plugin::unload();
    DGL::removeAugment( this );
}

