//=============================================================================
// POBoxIF.h
//
// Created 5/13/03 By Daniel Larimer
//=============================================================================
#ifndef _POBOXIF_H_
#define _POBOXIF_H_
#include<pexpr/POAddress.h>

using namespace std;
class POMessage;

//=============================================================================
/// @class POBoxIF POBoxIF.h
/// @author Daniel Larimer
/// @brief A receiving queue for messages.
//=============================================================================
class POBoxIF 
{
    public:
		/// Destructor.
        virtual ~POBoxIF(){};

        virtual const POMessage* popMessage() = 0;
        
        virtual string getName()const = 0;
        virtual bool   hasMessages( bool check_now = false )const = 0;
    
        virtual bool sendMessage( POMessage* msg, const POAddress& adr, bool send_now = false ) = 0;
        virtual void addMessage( const POMessage* msg ) = 0;
};

#endif
