#ifndef _BOXMONITOR_H_
#define _BOXMONITOR_H_
#include<qhgroupbox.h>

#ifdef WIN32
#ifdef QTUTIL_EXPORTS
#define QTUTIL_API __declspec(dllexport)
#else
#define QTUTIL_API __declspec(dllimport)
#endif /* QTUTIL_EXPORTS */
#else
#define QTUTIL_API
#endif /* WIN32 */

class QLabel;
class POBox;
class QListView;
class POMessage;


//=============================================================================
// Part of the POMonitor tool.
//=============================================================================
class QTUTIL_API BoxMonitor : public QHGroupBox
{
    Q_OBJECT
    public:
        BoxMonitor( QWidget* parent, POBox* po );
        

    public slots:
        void sentMessage( const POMessage* msg );
        void gotMessage( const POMessage* msg );

    private:
        POBox* m_po;
        QListView*  m_inbox;
        QListView*  m_sentbox;
};


#endif
