#ifndef _PREFMRRPANEL_H_
#define _PREFMGRPANEL_H_
#include "PanelWidget.h"
#include<dutil/ColonList.h>
//#include<qstring.h>
class PathEditWidget;

//=============================================================================
/// @class PrefMgrPanel
/// @brief Manages the preferences for the pref manager itself, ie: where
/// to load panes.  It also serves as an example of how to create a panel.
//=============================================================================
class QTUTIL_API PrefMgrPanel : public PanelWidget
{
    Q_OBJECT
    public:
        PrefMgrPanel( QWidget* parent );

        PanelWidget* clone( QWidget* parent = NULL )const;

    public slots:
        void updatePath( const string& path );
     
    private:
        PathEditWidget* m_pedit;
        ColonList       m_pathlist;
};


#endif
