#ifndef _PREFERENCEDIALOG_H_
#define _PREFERENCEDIALOG_H_
#include<qdialog.h>

#ifdef WIN32
#ifdef QTUTIL_EXPORTS
#define QTUTIL_API __declspec(dllexport)
#else
#define QTUTIL_API __declspec(dllimport)
#endif /* QTUTIL_EXPORTS */
#else
#define QTUTIL_API
#endif /* WIN32 */

class PreferenceManager;

//=============================================================================
/// @class PreferenceDialog
/// @author Daniel Larimer
/// @brief Displays a dialog containing a preference manager
//=============================================================================
class QTUTIL_API PreferenceDialog : public QDialog
{
    Q_OBJECT
    public:
        PreferenceDialog( QWidget* parent = NULL );

        static void showDialog( QWidget* parent );
    private:
        PreferenceManager* m_pmanager;
};

#endif
