//=============================================
// caveDeviceSimulatorDialog.h
// Author: Patrick Shinpaugh
// Date: July 3, 2003
//=============================================
#ifndef _CAVEDEVICESIMULATORDIALOG_H_
#define _CAVEDEVICESIMULATORDIALOG_H_
#include<dmath/dmath.h>
#include <qdialog.h>
#include "caveDeviceSimulatorWidget.h"

//=============================================================================
// caveDeviceSimulator provides an interface ot simulate wand tracker events.
//
// Please see the user documentation for details on interacting with this tool.
//=============================================================================

//=============================================================================
// A dialog box within which the widgets for the caveDeviceSimulator are created.
//=============================================================================
class QTUTIL_API caveDeviceSimulatorDialog:public QDialog
{
    Q_OBJECT
    public:
        caveDeviceSimulatorDialog( QWidget* parent = NULL );
        ~caveDeviceSimulatorDialog();

        static void open( QWidget* parent = NULL );

    private:
        static caveDeviceSimulatorDialog* m_dialog;
        caveDeviceSimulatorWidget* m_widget;
};

#endif
