#ifndef _DTKNAVPLUGIN_H_
#define _DTKNAVPLUGIN_H_
#include <pluginmgr/Plugin.h>

#ifdef WIN32
#ifdef DTKNAV_EXPORTS
#define DTKNAV_API __declspec(dllexport)
#else
#define DTKNAV_API __declspec(dllimport)
#endif /* DTKNAV_EXPORTS */
#else
#define DTKNAV_API
#endif /* WIN32 */

class DtkNav;

class DTKNAV_API DtkNavPlugin: public Plugin
{
    public:
        DtkNavPlugin();
        void load();

    private:
        DtkNav* m_dtknav;
};
#endif
