//=============================================================================
// mouseLookNavPlugin.cpp
// - Navigation plugin class for mouse look and keyboard control
//
// Created 6/9/03 By Patrick Shinpaugh
//=============================================================================
#include <tracer/Tracer.h>
#include "mouseLookNavPlugin.h"

REGISTER_PLUGIN(mouseLookNavPlugin);

mouseLookNavPlugin::mouseLookNavPlugin():Plugin("mouseLookNav")
{
    setDescription( "Mouse look navigation" );
}

mouseLookNavPlugin::~mouseLookNavPlugin()
{
    if ( m_mouselooknav )
        delete m_mouselooknav;
}

void mouseLookNavPlugin::load()
{
    Plugin::load();
    m_mouselooknav = new mouseLookNav;
    Tracer::debug( "mouseLookNav loaded" );
}
