//=============================================================================
// mouseLookNavPlugin.h
// - Navigation plugin class for mouse look and keyboard control
//
// Created 6/9/03 By Patrick Shinpaugh
//=============================================================================
#ifndef _MOUSELOOKNAVPLUGIN_H_
#define _MOUSELOOKNAVPLUGIN_H_
#include <pluginmgr/Plugin.h>
#include "mouseLookNav.h"

#ifdef WIN32
#ifdef MOUSELOOKNAV_EXPORTS
#define MOUSELOOKNAV_API __declspec(dllexport)
#else
#define MOUSELOOKNAV_API __declspec(dllimport)
#endif /* MOUSELOOKNAV_EXPORTS */
#else
#define MOUSELOOKNAV_API
#endif /* WIN32 */

class MOUSELOOKNAV_API mouseLookNavPlugin:public Plugin
{
    public:
        mouseLookNavPlugin();
        ~mouseLookNavPlugin();
        void load();

    private:
        mouseLookNav *m_mouselooknav;
};

#endif
