#include <tracer/Tracer.h>
#include "wandJoystickHPRNavPlugin.h"

REGISTER_PLUGIN(wandJoystickHPRNavPlugin);

wandJoystickHPRNavPlugin::wandJoystickHPRNavPlugin():Plugin("wandJoystickHPRNav")
{
    setDescription( "Wand joystick HPR navigation" );
}

wandJoystickHPRNavPlugin::~wandJoystickHPRNavPlugin()
{
    if ( m_wandjoysticknav )
        delete m_wandjoysticknav;
}

void wandJoystickHPRNavPlugin::load()
{
    Plugin::load();
    m_wandjoysticknav = new wandJoystickNav(wandJoystickNav::WJHPRNAV);
    Tracer::debug( "wandJoystickHPRNav loaded" );
}
