#include <tracer/Tracer.h>
#include "wandJoystickNavPlugin.h"

REGISTER_PLUGIN(wandJoystickNavPlugin);

wandJoystickNavPlugin::wandJoystickNavPlugin():Plugin("wandJoystickNav")
{
    setDescription( "Wand joystick heading navigation" );
}

wandJoystickNavPlugin::~wandJoystickNavPlugin()
{
    if ( m_wandjoysticknav )
        delete m_wandjoysticknav;
}

void wandJoystickNavPlugin::load()
{
    Plugin::load();
    m_wandjoysticknav = new wandJoystickNav(wandJoystickNav::WJNAV);
    Tracer::debug( "wandJoystickNav loaded" );
}
