#include <tracer/Tracer.h>
#include "wandJoystickRollNavPlugin.h"

REGISTER_PLUGIN(wandJoystickRollNavPlugin);

wandJoystickRollNavPlugin::wandJoystickRollNavPlugin():Plugin("wandJoystickRollNav")
{
    setDescription( "Wand joystick roll navigation" );
}

wandJoystickRollNavPlugin::~wandJoystickRollNavPlugin()
{
    if ( m_wandjoysticknav )
        delete m_wandjoysticknav;
}

void wandJoystickRollNavPlugin::load()
{
    Plugin::load();
    m_wandjoysticknav = new wandJoystickNav(wandJoystickNav::WJROLLNAV);
    Tracer::debug( "wandJoystickRollNav loaded" );
}
