//=============================================================================
/// @class TracerPanelPlugin
/// @brief Loads a widget that will edit diagnostic information sensitivity levels
/// @author Charles Keener
//=============================================================================
#ifndef _TRACERPANELPLUGIN_H_
#define _TRACERPANELPLUGIN_H_
#include<pluginmgr/Plugin.h>

#ifdef WIN32
#ifdef TRACERPANEL_EXPORTS
#define TRACERPANEL_API __declspec(dllexport)
#else
#define TRACERPANEL_API __declspec(dllimport)
#endif /* TRACERPANEL_EXPORTS */
#else
#define TRACERPANEL_API
#endif /* WIN32 */

class TRACERPANEL_API TracerPanelPlugin : public Plugin
{
    public:
        TracerPanelPlugin();

        void load();
};

#endif
