#include"CommuneServerPlugin.h"
#include<dreg/Registry.h>
#include<shmmgr/CommuneServer.h>

REGISTER_PLUGIN(CommuneServerPlugin)

CommuneServerPlugin::CommuneServerPlugin()
    :Plugin("CommuneServer")
{
    setDescription("Loads the CommuneServer");
}

void CommuneServerPlugin::load()
{
    Plugin::load();
    string port = Registry::getValue( "/DIVERSE/PluginsManager/CommuneServer/port",
                                      "9200" );
    string name = Registry::getValue( "/DIVERSE/PluginsManager/CommuneServer/poname", 
                                      "CommuneServer" );
    m_service = new CommuneServer( name, atoi( port.c_str() ) );
}
