//=============================================================================
/// @class CommuneService 
/// @brief Simply gives Qt a chance to process events
/// @author Daniel Larimer
//=============================================================================
#ifndef _DGLSERVICEPLUGIN_H_
#define _DGLSERVICEPLUGIN_H_
#include<pluginmgr/Plugin.h>

#ifdef WIN32
#ifdef COMMUNESERVERPLUGIN_EXPORTS
#define COMMUNESERVERPLUGIN_API __declspec(dllexport)
#else
#define COMMUNESERVERPLUGIN_API __declspec(dllimport)
#endif /* COMMUNESERVERPLUGIN_EXPORTS */
#else
#define COMMUNESERVERPLUGIN_API
#endif /* WIN32 */

class CommuneServer;

class COMMUNESERVERPLUGIN_API CommuneServerPlugin : public Plugin
{
    public:
        CommuneServerPlugin();

        void load();
    private:
        CommuneServer* m_service;
};

#endif
