#ifndef _QDDISPLAYPLUGIN_H_
#define _QDDISPLAYPLUGIN_H_
#include<pluginmgr/Plugin.h>

#ifdef WIN32
#ifdef QDDISPLAY_EXPORTS
#define QDDISPLAY_API __declspec(dllexport)
#else
#define QDDISPLAY_API __declspec(dllimport)
#endif
#else
#define QDDISPLAY_API
#endif /* WIN32 */

class QDWindow;

class QDDISPLAY_API QDDisplay : public Plugin
{
    public:
       QDDisplay();
       void load();
       void unload();

    private:
       QDWindow* m_window;
};

#endif
