#include <dmath/dVec3.h>
#include <dcollab/core/collabmanager.h>
#include <servicemgr/GServiceManager.h>
#include "collabservice.h"

REGISTER_PLUGIN(collabService);

collabService::collabService() : Plugin("collabService"), GService("collabService")
{
	setDescription("Collaborative service");
}
collabService::~collabService()
{

}
void collabService::load()
{
	Plugin::load();
	GServiceManager::addService(this);
}
void collabService::unload()
{
	Plugin::unload();
}

void collabService::postProcess(const DTime& NotNeeded)
{
	CollabManager::frame();
}
