#include"EventClientPlugin.h"
#include<servicemgr/GServiceManager.h>
#include<revent/REventClient.h>
#include<qtutil/QServiceManager.h>

REGISTER_PLUGIN(EventClientPlugin)

EventClientPlugin::EventClientPlugin()
    :Plugin("EventClient")
{
    setDescription("Loads the EventService that will call"
                   "the proper DGL callbacks");
}

void EventClientPlugin::load()
{
    Plugin::load();
    QServiceManager::init();
    m_service = REventClient::instance();
    m_service->start();
}
