//=============================================================================
/// @class EventService 
/// @brief Simply gives Qt a chance to process events
/// @author Daniel Larimer
//=============================================================================
#ifndef _IS900PLUGIN_H_
#define _IS900PLUGIN_H_
#include<pluginmgr/Plugin.h>

#ifdef WIN32
#ifdef IS900_EXPORTS
#define IS900_API __declspec(dllexport)
#else
#define IS900_API __declspec(dllimport)
#endif /* IS900_EXPORTS */
#else
#define IS900_API
#endif /* WIN32 */

class IS900;

class IS900_API IS900Plugin : public Plugin
{
    public:
        IS900Plugin();

        void load();
    private:
        IS900* m_service;
};

#endif
