 void setWingmanView(const SbVec3f& centerPos, const SbViewportRegion& vp, const float cameraAspectRatio, SoTranslation *sceneCenter, float mapTiltAngleInRadians, SoRotation* mapRotation, SoTranslation *sceneOffset) {
   const float *xyz = centerPos.getValue();
   printf("setCrossView(%f,%f,%f)\n",xyz[0],xyz[1],xyz[2]);

   /*set the scene center -- ie lookat point/center of rotation*/
   sceneCenter->translation.setValue(-centerPos[0],-centerPos[1],-centerPos[2]);
   /*verbatim from old -- need to get hpr of object into this method*/
   /*rot ends up being the full rotation needed to be looking at the side of an object*/
   SbVec3f axis;
   SbRotation rot;
   SbRotation rot2;
   axis.setValue(1,0,0);
   rot.setValue(axis,DEGREE_TO_RADIANS(90.0));
   axis.setValue(0,1,0);
   rot2.setValue(axis,DEGREE_TO_RADIANS(hpr[2]));
   rot*=rot2;
   axis.setValue(1,0,0);
   rot2.setValue(axis,DEGREE_TO_RADIANS(hpr[1]));
   rot*=rot2;
   axis.setValue(0,0,1);
   rot2.setValue(axis,-DEGREE_TO_RADIANS(hpr[0]));
   rot*=rot2;
   SbMatrix mat,imat;
   SbVec3f source, dest;
   rot.getValue(mat);
   imat=mat.inverse();
   /*want to move along the direction pointed at by rot*/
   source.setValue(0,0,500);
   imat.multMatrixVec(source,dest);
   /*end old */

   mapRotation->rotation.setValue(rot);
   sceneOffset->translation.setValue(dest[0],dest[1],dest[2]);
 
   dMatrix Temp;
   Temp.makeIdentity();
   NavManager::setMatrix(Temp);
}
