
#ifndef SPRING
#include "Spring.h"
#endif

#ifndef NODE
#include "Node.h"
#endif

#ifdef WIN32
#include <windows.h>
#endif
#include <GL/gl.h>


Spring::Spring(Node* base1, Node* base2, double min, double max, double k, double attenuation)
{
	baseNode1 = base1;
	baseNode2 = base2;

	rColor = 1.0;
	bColor = 0.0;
	gColor = 0.0;
}


Spring::Spring()
{
}

Spring::~Spring()
{
}


void Spring::draw()
{
	float x, y, z;
	float x2, y2, z2;

	glColor3f(rColor, gColor, bColor);

	baseNode1->getCenter(x, y, z);
	baseNode2->getCenter(x2, y2, z2);

	glBegin(GL_LINES);
		glVertex3f(x, y, z);
		glVertex3f(x2, y2, z2);
	glEnd();

}

void Spring::applyForce(double force)
{
}

void Spring::setAttenuation(float force)
{
	attenuation = force;
}

double Spring::getLength()
{
	return 0;
}


double Spring::getReaction()
{
	return 0;
}
