#ifndef _actionmanager_h_
#define _actionmanager_h_
#include <vector>

#ifdef WIN32
#ifdef DCOLLABCORE_EXPORTS
#define DCOLLABCORE_API __declspec(dllexport)
#else
#define DCOLLABCORE_API __declspec(dllimport)
#endif /* DCOLLABCORE_EXPORTS */
#else
#define DCOLLABCORE_API
#endif /* WIN32 */

using namespace std;
class Action;
class DCOLLABCORE_API ActionManager
{
	public:
	void processActions();	
	void addAction(Action* newAction);
	private:
	vector<Action*> m_actions;
};
#endif
