#include "creator.h"
#include "avatar.h"
#include "collabmanager.h"
#include "objectcreator.h"

void ObjectCreator::setCreator(Creator* Maker)
{
	m_creator = Maker;
}

Avatar* ObjectCreator::createAvatar(const string& fileName)
{
	Avatar* MyAv;
	MyAv = m_creator->createAvatar(fileName);
	MyAv->setType("avatar");
	CollabManager::addObject(MyAv);
	return MyAv;
}
