#ifndef _objectcreator_h_
#define _objectcreator_h_
#include <string>

#ifdef WIN32
#ifdef DCOLLABCORE_EXPORTS
#define DCOLLABCORE_API __declspec(dllexport)
#else
#define DCOLLABCORE_API __declspec(dllimport)
#endif /* DCOLLABCORE_EXPORTS */
#else
#define DCOLLABCORE_API
#endif /* WIN32 */

class Avatar;
class Creator;
using namespace std;
class DCOLLABCORE_API ObjectCreator
{
	public:
	void setCreator(Creator* Maker);
	Avatar* createAvatar(const string& fileName);
	
	
	private:
	Creator* m_creator;
};
#endif
