#ifndef _radar_h_
#define _radar_h_
#include <string>
using namespace std;
class Radar
{
	public:
	virtual void makeBG()=0;
	virtual void addPointType(const string& Name)=0;
	virtual void removePointType(const string& Name)=0;
	virtual void setRadius(const float& Radius)=0;
	virtual void setCenter(float* Data)=0;
	virtual void addPoint(const string& Type, const string& Name)=0;
	virtual void removePoint(const string& Type, const string& Name)=0;
	virtual void redraw()=0;
	virtual void updatePoint(const string& Type, const string& Name, float* Pos)=0;
};
#endif
