#ifndef _radarhandler_h_
#define _radarhandler_h_

#include <dutil/ColonList.h>
#include <string>
using namespace std;
#include "messagehandler.h"

class Radar;
class DCOLLABCORE_API RadarMessageHandler: public MessageHandler
{
	public:
	virtual bool handles(POMessage* AMessage);
	void         handleMessage(POMessage* AMessage);
	virtual string typeHandled();
	void         setRadar(Radar* NewRadar);
	virtual ~RadarMessageHandler(){};
	
	private:
	Radar* m_radar;
	void RemoveUser(ColonList& AMessage);
	void AddUser(ColonList&    AMessage);
	void UpdatePos(ColonList&  AMessage);
};
#endif
