#ifndef _serveravatarmhandler_h_
#define _serveravatarmhandler_h_
#include <vector>
#include <dcollab/core/messagehandler.h>
#include <dutil/ColonList.h>
using namespace std;
class CServerService;
class DCOLLABCORE_API ServerAvatarHandler : public MessageHandler
{
	public:
	string typeHandled(){return "POTextMsg";};
	ServerAvatarHandler();
	virtual ~ServerAvatarHandler(){};
	virtual bool handles(POMessage* AMessage);
	void    handleMessage(POMessage* AMessage);

	private:
	void addUser(ColonList& Message, POMessage* Msg);
	void removeUser(ColonList& Message, POMessage* Msg);
	vector<POMessage*> m_addMessages;
	vector<string>     m_names;
	CServerService*    m_server;
};
#endif
