#ifndef _DGLDAR_h_
#define _DGLDAR_h_
#include <dgl/dglcore/DGLAugment.h>
#include <dcollab/core/radar.h>

//Windows import / export stuff
#ifdef WIN32
#ifdef DCOINCOLLAB_EXPORTS
#define DCOINCOLLAB_API __declspec(dllexport)
#else
#define DCOINCOLLAB_API __declspec(dllimport)
#endif /* DCOINCOLLAB_EXPORTS */
#else
#define DCOINCOLLAB_API
#endif /* WIN32 */

class DCOINCOLLAB_API DGLDAR : public DGLAugment
{
	public:
	DGLDAR();
	virtual void postdraw()const;
	void setRadar(Radar* Radar);

	private:
	Radar* m_radar;
};
#endif
