#ifndef _COINAVATAR_H_
#define _COINAVATAR_H_
#include <dcollab/core/avatar.h>

//Windows import / export stuff
#ifdef WIN32
#ifdef DCOINCOLLAB_EXPORTS
#define DCOINCOLLAB_API __declspec(dllexport)
#else
#define DCOINCOLLAB_API __declspec(dllimport)
#endif /* DCOINCOLLAB_EXPORTS */
#else
#define DCOINCOLLAB_API
#endif /* WIN32 */

class SoSeparator;
class SoTransform;

class DCOINCOLLAB_API CoinAvatar: public Avatar
{
	public:
	CoinAvatar();
	~CoinAvatar();

	virtual void loadModel(const string& FileName);
	virtual void removeModel();

	virtual void   setPosition(float* NewPos);
	virtual void   setScale(const float& NewScale);

	private:
	SoSeparator* m_node;
	SoTransform* m_posnode;
	SoSeparator* m_model;
};
#endif
