#ifndef _BYTESWAP_H_
#define _BYTESWAP_H_

#ifdef WIN32
#ifdef DUTIL_EXPORTS
#define DUTIL_API __declspec(dllexport)
#else
#define DUTIL_API __declspec(dllimport)
#endif /* DUTIL_EXPORTS */
#else
#define DUTIL_API
#endif /* WIN32 */

void DUTIL_API byteswap( void* d, int size );
bool DUTIL_API std2host( void* d, int size );
bool DUTIL_API host2std( void* d, int size );
void DUTIL_API swap( char& a, char& b );


#endif
