//=============================================
// EventMonitorDialog.h
// Author: Patrick Shinpaugh
// Date: July 1, 2003
//=============================================
#ifndef _EVENTMONITORDIALOG_H_
#define _EVENTMONITORDIALOG_H_
#include <qdialog.h>
#include "EventMonitorWidget.h"

//=============================================================================
// A dialog box within which the widgets for the EventMonitor are created.
//=============================================================================
class QTUTIL_API EventMonitorDialog:public QDialog
{
    public:
        EventMonitorDialog( QWidget* parent = NULL );
        ~EventMonitorDialog();
        
        static void open( QWidget* parent = NULL );

    private:
        static EventMonitorDialog* m_dialog;
        EventMonitorWidget* m_widget;
};

#endif
