#ifndef _POSTATUS_H_
#define _POSTATUS_H_
#include<qwidget.h>

#ifdef WIN32
#ifdef QTUTIL_EXPORTS
#define QTUTIL_API __declspec(dllexport)
#else
#define QTUTIL_API __declspec(dllimport)
#endif /* QTUTIL_EXPORTS */
#else
#define QTUTIL_API
#endif /* WIN32 */

class QLabel;
class PostOffice;

//=============================================================================
// @class POStatus
// Part of the POMonitor tool.
//=============================================================================
class QTUTIL_API POStatus : public QWidget
{
    Q_OBJECT
    public:
        POStatus( QWidget* parent, PostOffice* po );
        
    public slots:

    private:
        PostOffice* m_po;
        QLabel*     m_poname;
};


#endif
