#include"PrefMgrPanel.h"
#include<qlistbox.h>
#include<qlabel.h>
#include "PathEditWidget.h"
#include<qpushbutton.h>
#include<qfiledialog.h>
#include<dreg/Registry.h>
#include<dreg/Entry.h>
#include<qlayout.h>
#include<tracer/Tracer.h>
#include<diverseconfig.h>
#include<iostream>
using namespace std;

PrefMgrPanel::PrefMgrPanel( QWidget* parent )
:PanelWidget( parent, "Panels" )
{
    QVBoxLayout* vlayout = new QVBoxLayout( this );
    m_pedit = new PathEditWidget( this );
    string PPath = string(INSTALLDIR) + "/panels";
    m_pedit->setPath( Registry::getValue( "/PreferenceManager/panelpath", 
                      PPath, 
                      "The directories to search for preference panels." ) );
    vlayout->addWidget( m_pedit );
    connect( m_pedit, SIGNAL( pathChanged( const string& ) ),
             this,    SLOT  ( updatePath( const string& ) ) );
}

void PrefMgrPanel::updatePath( const string& path )
{
    Registry::setValue( "/PreferenceManager/panelpath", path );
}

PanelWidget* PrefMgrPanel::clone( QWidget* parent )const
{
    return new PrefMgrPanel( parent );
}
