#include "MouseNav.h"
#include "MouseNavPlugin.h"

REGISTER_PLUGIN(MouseNavPlugin);

MouseNavPlugin::MouseNavPlugin():Plugin("MouseNav")
{
    setDescription("Mouse navigation");
}

MouseNavPlugin::~MouseNavPlugin()
{
    if ( m_Navigation )
        delete m_Navigation;
}

void MouseNavPlugin::load()
{
    Plugin::load();
    m_Navigation = new MouseNav;
}
