#ifndef _MOUSENAVPLUGIN_H_
#define _MOUSENAVPLUGIN_H_
#include <pluginmgr/Plugin.h>

#ifdef WIN32
#ifdef MOUSENAV_EXPORTS
#define MOUSENAV_API __declspec(dllexport)
#else
#define MOUSENAV_API __declspec(dllimport)
#endif /* MOUSENAV_EXPORTS */
#else
#define MOUSENAV_API
#endif /* WIN32 */

class MouseNav;

class MOUSENAV_API MouseNavPlugin: public Plugin
{

    public:
        MouseNavPlugin();
        ~MouseNavPlugin();
        void load();

    private:
        MouseNav* m_Navigation;
};
#endif
