#ifndef _WANDJOYSTICKNAVPLUGIN_H_
#define _WANDJOYSTICKNAVPLUGIN_H_
#include <pluginmgr/Plugin.h>
#include <wandnav/wandJoystickNav.h>

#ifdef WIN32
#ifdef WANDJOYSTICKNAV_EXPORTS
#define WANDJOYSTICKNAV_API __declspec(dllexport)
#else
#define WANDJOYSTICKNAV_API __declspec(dllimport)
#endif /* WANDJOYSTICKNAV_EXPORTS */
#else
#define WANDJOYSTICKNAV_API
#endif /* WIN32 */

class wandJoystickNav;

class WANDJOYSTICKNAV_API wandJoystickNavPlugin:public Plugin
{
    public:
        wandJoystickNavPlugin();
        ~wandJoystickNavPlugin();
        void load();

    private:
        wandJoystickNav *m_wandjoysticknav;
};

#endif
