#include <tracer/Tracer.h>
#include "wandJoystickPitchNavPlugin.h"

REGISTER_PLUGIN(wandJoystickPitchNavPlugin);

wandJoystickPitchNavPlugin::wandJoystickPitchNavPlugin():Plugin("wandJoystickPitchNav")
{
    setDescription( "Wand joystick pitch navigation" );
}

wandJoystickPitchNavPlugin::~wandJoystickPitchNavPlugin()
{
    if ( m_wandjoysticknav )
        delete m_wandjoysticknav;
}

void wandJoystickPitchNavPlugin::load()
{
    Plugin::load();
    m_wandjoysticknav = new wandJoystickNav(wandJoystickNav::WJPITCHNAV);
    Tracer::debug( "wandJoystickPitchNav loaded" );
}
