//=============================================================================
// CaveWalls.h
// - Defines a class that will draw/rotate a teapot
//
// Created 5/12/03 By Daniel Larimer modified by Andrew A. Ray
//=============================================================================
#include<dgl/dglcore/DGLAugment.h>
#ifndef _CAVE_WALLS_H_
#define _CAVE_WALLS_H_

#ifdef WIN32
#ifdef CAVEWALLS_EXPORTS
#define CAVEWALLS_API __declspec(dllexport)
#else
#define CAVEWALLS_API __declspec(dllimport)
#endif /* CAVEWALLS_EXPORTS */
#else
#define CAVEWALLS_API
#endif /* WIN32 */

class CAVEWALLS_API CaveWalls : public DGLAugment
{
    public:
        CaveWalls( const string& name = "CaveWalls" );
        
        virtual void preNavDraw()const;
        virtual void postProcess();

    private:
};

#endif
