//=============================================================================
// DGL_HUD_Display.h
// - Navigation plugin class for wand joystick controller
//
// Created 6/19/03 By Patrick Shinpaugh
//=============================================================================

#ifndef _GNOMONHEADSUP_H_
#define _GNOMONHEADSUP_H_
#include <eventmgr/devents.h>
#include <eventmgr/EventListener.h>
#include <pluginmgr/Plugin.h>
#include <displaymgr/DisplayCallback.h>

#ifdef WIN32
#ifdef GNOMONHEADSUP_EXPORTS
#define GNOMONHEADSUP_API __declspec(dllexport)
#else
#define GNOMONHEADSUP_API __declspec(dllimport)
#endif /* GNOMONHEADSUP_EXPORTS */
#else
#define GNOMONHEADSUP_API
#endif /* WIN32 */

class GNOMONHEADSUP_API GnomonHeadsUp : public Plugin, public DisplayCallback
{
    public:
        GnomonHeadsUp( const string& name = "GnomonHeadsUp" );
        virtual void overlay();
        void load();
        void unload();
private:
};

#endif
