//=============================================================================
// WandButtonNavControl.h
// - Navigation plugin class for wand joystick controller
//
// Created 6/30/03 By Patrick Shinpaugh
//=============================================================================

#ifndef _WANDBUTTONNAVCONTROL_H_
#define _WANDBUTTONNAVCONTROL_H_
#include <eventmgr/EventListener.h>
#include <dgl/dglcore/DGLAugment.h>

#ifdef WIN32
#ifdef WANDBUTTONNAVCONTROL_EXPORTS
#define WANDBUTTONNAVCONTROL_API __declspec(dllexport)
#else
#define WANDBUTTONNAVCONTROL_API __declspec(dllimport)
#endif /* WANDBUTTONNAVCONTROL_EXPORTS */
#else
#define WANDBUTTONNAVCONTROL_API
#endif /* WIN32 */

class WANDBUTTONNAVCONTROL_API WandButtonNavControl:public DGLAugment, public EventListener
{
    public:
        WandButtonNavControl( const string& name = "WandButtonNavControl" );

        bool onWandEvent( DWandEvent* evt);
    private:
		float m_speedfactor;
};

#endif
