#ifndef _coinplugin_h_
#define _coinplugin_h_
#include <pluginmgr/Plugin.h>
#include <servicemgr/GService.h>

//Windows import / export stuff
#ifdef WIN32
#ifdef COLLABSERVICE_EXPORTS
#define COLLABSERVICE_API __declspec(dllexport)
#else
#define COLLABSERVICE_API __declspec(dllimport)
#endif /* COLLABSERVICE_EXPORTS */
#else
#define COLLABSERVICE_API
#endif /* WIN32 */

class COLLABSERVICE_API collabService: public Plugin , public GService
{
	public:
	collabService();
	~collabService();
	void load();
	void unload();
	void postProcess(const DTime&);
};
#endif
