#include "DtkManagerPlugin.h"
#include "DtkManagerService.h"

REGISTER_PLUGIN(DtkManagerPlugin);

DtkManagerPlugin::DtkManagerPlugin()
    :Plugin("DtkManagerService")
{
    setDescription("Loads and manages DTK augments");
}

void DtkManagerPlugin::load()
{
    Plugin::load();
    m_service = new DtkManagerService();
    m_service->start();
}
