//=============================================================================
/// @class EventService 
/// @brief Simply gives Qt a chance to process events
/// @author Daniel Larimer
//=============================================================================
#ifndef _DGLSERVICEPLUGIN_H_
#define _DGLSERVICEPLUGIN_H_
#include<pluginmgr/Plugin.h>

#ifdef WIN32
#ifdef EVENTCLIENT_EXPORTS
#define EVENTCLIENT_API __declspec(dllexport)
#else
#define EVENTCLIENT_API __declspec(dllimport)
#endif /* EVENTCLIENT_EXPORTS */
#else
#define EVENTCLIENT_API
#endif /* WIN32 */

class REventClient;

class EVENTCLIENT_API EventClientPlugin : public Plugin
{
    public:
        EventClientPlugin();

        void load();
    private:
        REventClient* m_service;
};

#endif
