//=============================================================================
/// @class EventService 
/// @brief Simply gives Qt a chance to process events
/// @author Daniel Larimer
//=============================================================================
#ifndef _DGLSERVICEPLUGIN_H_
#define _DGLSERVICEPLUGIN_H_
#include<pluginmgr/Plugin.h>

#ifdef WIN32
#ifdef EVENTSERVER_EXPORTS
#define EVENTSERVER_API __declspec(dllexport)
#else
#define EVENTSERVER_API __declspec(dllimport)
#endif /* EVENTSERVER_EXPORTS */
#else
#define EVENTSERVER_API
#endif /* WIN32 */

class EventServer;

class EVENTSERVER_API EventServerPlugin : public Plugin
{
    public:
        EventServerPlugin();

        void load();
    private:
        EventServer* m_service;
};

#endif
